Transform a Phing/Xdebug code coverage xml report.

The default transformation generates an html report in framed style.

author | Michiel Rook
version | $Id: c1667521b5959687560a1bf015905d627785a3c6 $
package | phing.tasks.ext.coverage
since | 2.1.0

### Methods

## __construct()

    __construct(\Task $task)

### Parameters

#### $task

## setStyleDir()

    setStyleDir($styleDir)

### Parameters

#### $styleDir

## Setter for title parameter

    setTitle($title)

### Parameters

#### $title

## setToDir()

    setToDir(\PhingFile $toDir)

### Parameters

#### $toDir

## Sets whether to use the sorttable JavaScript library, defaults to false See {@link http://www.kryogenix.org/code/browser/sorttable/)}

    setUseSortTable(boolean $useSortTable)

### Parameters

#### $useSortTable

`boolean`

## setXmlDocument()

    setXmlDocument($document)

### Parameters

#### $document

## transform()

    transform()

## getStyleSheet()

    getStyleSheet()

### Properties

##

    $document

##

    $styleDir

##

    $task

##

    $title

##

    $toDir : \PhingFile

##

    $useSortTable : boolean